msg_util.h File Reference

Go to the source code of this file.

## Classes

struct | select1st< T1, T2 >
struct | select2nd< T1, T2 >
struct | always_true< T >
struct | set_op< T1, T2 >
struct | set_add_op< T1, T2 >
class | dummy_iterator< T, Distance >
class | index_iterator< Size, Distance >
struct | first_op< Pair >
struct | second_op< Pair >
struct | pair_identity< Pair1, Pair2 >
class | apply_iterator< Iterator, Operator >

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | RHEO_MPI_PRUDENCE 0

## Functions

template<class Iterator , class Operator >
apply_iterator< Iterator, Operator > | make_apply_iterator (Iterator i, Operator op)
template<class InputIterator , class OutputIterator >
OutputIterator | msg_pair_copy (InputIterator input, InputIterator last, OutputIterator result)

## Macro Definition Documentation

## RHEO_MPI_PRUDENCE

#define RHEO_MPI_PRUDENCE 0

Definition at line 36 of file msg_util.h.